[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# MessageDlgPos

An extended MessageDlg function.

## Declaration

Source position: dialogs.pp line 495

`function MessageDlgPos(`
`const aMsg: String;`
`DlgType: TMsgDlgType;`
`Buttons: TMsgDlgButtons;`
`HelpCtx: LongInt;`
`X: Integer;`
`Y: Integer`
`):Integer;`

## Arguments

`aMsg` |  | The message to be shown.
`DlgType` |  | The type of dialog to be shown
`Buttons` |  | Determines the buttons shown on the messagedialog
`HelpCtx` |  | HelpCtx is used to specify which topic from the help should be shown.
`X` |  | X specifies the position of the left side of the dialog
`Y` |  | Y specifies the position of the top side of the dialog

## Function result

The result of this function is the button the user pressed to close the dialog.

## Description

This function performs the same function as the MessageDlg function.
It has been extended with parameters to place the dialog on a certain postion on the screen instead of in the centre of the screen.
The MessageDlgPos function does not enable you to choose the caption of the dialog.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .